%if 0%{?fedora} > 12
%global with_python3 1
%else
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif

%global pypi_name rauth

Name:           python-%{pypi_name}
Version:        0.7.0
Release:        3%{?dist}
Summary:        A Python library for OAuth 1.0/a, 2.0, and Ofly

License:        MIT
URL:            https://github.com/litl/rauth
Source0:        https://pypi.python.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       python-requests >= 1.2.3

%if 0%{?with_python3}
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3
Requires:       python3
Requires:       python3-requests >= 1.2.3
%endif # if with_python3

%description
A simple Python OAuth 1.0/a, OAuth 2.0, and Ofly consumer
library built.

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        A Python library for OAuth 1.0/a, 2.0, and Ofly

%description -n python3-%{pypi_name}
A Python3 library for OAuth 1.0/a, 2.0, and Ofly,
%endif # if with_python3

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root=%{buildroot}
popd
%endif # with_python3

%files
%license LICENSE
%doc README.md
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif # with_python3

%changelog
* Sun Dec 07 2014 William José Moreno Reyes <williamjmorenor@gmail.com> - 0.7.0-3
- Add Python3 support

* Sun Dec 07 2014 William Moreno Reyes <williamjmorenor@gmail.com> - 0.7.0-2
- Add license macro

* Mon Oct 20 2014 William José Moreno Reyes  <williamjmorenor at gmail.com> - 0.7.0-1
- Initial package.
